---
title: Usage
layout: page
order: 3
---

Starting from the basis
```sh
banana encode 0
> ba
```
```sh
banana encode 1
> be
```
```sh
banana encode 1000
> duga
```

Can set the minimum length, like adding leading zeros
```sh
banana encode 1000 --minlength 8
> babaduga
```

Can choose to shift alphabets in order to start from vowel. This is called "ananas" (italian word for pineapple)
```sh
banana --shiftalpha 1 encode 1000
> ebem
```
Can choose ending alphabet in order to end with consonant. This is called "ribes" (italian word for currant)
```sh
banana --alphaend 1 encode 1000
> bebem
```
Or you can do both. This is called "avocado"
```sh
banana --shiftalpha 1 --alphaend 1 encode 1000
> aduga
```

Alphabets can be customized. You can use a single one, two or more
```sh
banana --alphabets 0123456789abcdef encode 255
> ff
```
```sh
banana --alphabets 1234:abc:DEFG encode 1000
> 2cD4bD
```

Unicode is supported!
```sh
banana --alphabets 🐼🐵🦍🐶🐺🦊🐱🦁🐯🐷🐭🐹🐰🐻🐨:⚽⚾🏀🏐🏈🏉:🍇🍉🍊🍋🍌🍍🍎🍐🍑🍒🍓🥝🥥🥑🌰 encode 1000
> 🐹⚽🍓
```

You can generate random bananas
```sh
banana random --minlength 8
> vizemala
```

Obviously you can decode also
```sh
banana decode babaduga
> 1000
```
